[Overview][Types][Classes][Index] | Reference for unit 'pooledmm' (#fcl)

# TNonFreePooledMemManager.Destroy

Removes the TNonFreePooledMemManager instance from memory

## Declaration

Source position: pooledmm.pp line 86

`public destructor TNonFreePooledMemManager.Destroy; override;`

## Description

Destroy clears the list, clears the internal structures, and then calls the inherited Destroy.

Destroy should never be called directly. Instead Free should be used, or FreeAndNil

## See also

TNonFreePooledMemManager.Create |  | Creates a new instance of TNonFreePooledMemManager
TNonFreePooledMemManager.Clear |  | Clears the memory

Documentation generated on: Feb 26 2014